<?php

/**
 * GepObservacaosoli
 *
 * This class has been auto-generated by the Doctrine ORM Framework
 *
 * @package    DbModel
 * @subpackage Model
 * @author     robertomartins - 15/07/2011 10:31:14 <development@setforms.com>
 * @version    SVN: $Id: Builder.php 6508 2009-10-14 06:28:49Z jwage $
 */
class GepObservacaosoli extends DaoGepObservacaosoli
{


    /**        ok
     * Consulta dados de uma observacao de um parceiro de uma solicitacao determinada.
     *
     * @param integer $nrorg       Numero da organizacao.
     * @param integer $solicitacao Numero da solicitacao.
     * @param integer $parcnegocio Codigo do parceiro.
     *
     * @return Ambigous <mixed, NULL>|boolean
     */
    public static function consultaObservacoesSoliParceiro($nrorg, $solicitacao, $parcnegocio){
        try {
            $obj = self::getObjectByWhere(
                'NRORG = ? AND NRSOLICITACAO = ? AND NRPARCNEGOCIO = ?',
                array(
                 $nrorg,
                 $solicitacao,
                 $parcnegocio,
                )
            );

            return $obj;
        } catch (Exception $e) {
            showClassError($e, __FUNCTION__, __LINE__);
            return false;
        }
    }


    /**      ok
     * Consulta dados de uma observacao (geral) de uma solicitacao determinada.
     *
     * @param integer $nrorg       Numero da organizacao.
     * @param integer $solicitacao Numero da solicitacao.
     *
     * @return Ambigous <mixed, NULL>|boolean
     */
    public static function consultaObservacaoGeralSoli($nrorg, $solicitacao){
        try {
            $obj = self::getObjectByWhere(
                'NRORG = ? AND NRSOLICITACAO = ? AND NRPARCNEGOCIO IS NULL',
                array(
                 $nrorg,
                 $solicitacao,
                )
            );

            return $obj;
        } catch (Exception $e) {
            showClassError($e, __FUNCTION__, __LINE__);
            return false;
        }
    }


}